#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.1
visibility:           public
id:                   tree-diff-0.1-E6RgcReVz4oL8cPA3ZlHV3
key:                  tree-diff-0.1-E6RgcReVz4oL8cPA3ZlHV3
license:              GPL-2.0-or-later
copyright:            (c) 2017-2019 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  44fa1588474968427074495ba825a439
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.Parser
    Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-8.10.2/site-local/tree-diff-0.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/tree-diff-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/tree-diff-0.1
hs-libraries:         HStree-diff-0.1-E6RgcReVz4oL8cPA3ZlHV3
depends:
    QuickCheck-2.14.1-HTGPGTiPlLFBv0MoTd9R3D
    aeson-1.5.4.1-2YgQvnoUGUbFY9GKPCy4dR
    ansi-terminal-0.11-IajncQtcdYnBqL6NkSC1RW
    ansi-wl-pprint-0.6.9-4d9Iy8p4SETItmzWc3Std6 base-4.14.1.0
    base-compat-0.11.2-JggHr2fdYLe83DSFk1MYK3 bytestring-0.10.10.0
    containers-0.6.2.1 hashable-1.3.0.0-2rljXTEZeqO3h4WvjXFrn0
    parsec-3.1.14.0 parsers-0.12.10-7Hr6M6kLF37I9s2OUIhkzE
    pretty-1.1.3.6 scientific-0.3.6.2-3Rl1TFr6D8iHoas19Ro04G
    tagged-0.8.6-6ynGuqiqWewDmeFAuVgKQe text-1.2.3.2 time-1.9.3
    unordered-containers-0.2.13.0-1ou2s75HM4jIGJQqER9UBk
    uuid-types-1.0.3-9Vfxwyd7NsY4bNdFDQuZZG
    vector-0.12.1.2-93zBJ8pozDnK4B1K8k25VC

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

